<?php
#-----------------------------------------------------#
#          ********* ROTORCMS *********               #
#              Made by  :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#        для его дальнейшего распространения          #
#-----------------------------------------------------#	
require_once ('../includes/start.php');
require_once ('../includes/functions.php');
require_once ('../includes/header.php');
include_once ('../themes/' . $config['themes'] . '/index.php');

if (isset($_GET['start'])) {
    $start = abs(intval($_GET['start']));
} else {
    $start = 0;
} 
if (isset($_GET['uz'])) {
    $uz = check($_GET['uz']);
} elseif (isset($_POST['uz'])) {
    $uz = check($_POST['uz']);
} else {
    $uz = "";
} 

show_title('site.png', 'Статистика вкладов');
$config['newtitle'] = 'Статистика вкладов';
# ###########################################################################################
# #                                      Вывод вкладов                                     ##
# ###########################################################################################
$total = DB :: $dbh -> querySingle("SELECT count(*) FROM `bank`;");

if ($total > 0) {
    if ($start >= $total) {
        $start = 0;
    } 

    $queryvklad = DB :: $dbh -> query("SELECT * FROM `bank` ORDER BY `bank_sum` DESC, `bank_user` ASC LIMIT " . $start . ", " . $config['vkladlist'] . ";");

    $i = 0;
    while ($data = $queryvklad -> fetch()) {
        ++$i;

        echo '<div class="b">' . ($start + $i) . '. <img src="../images/img/user.gif" alt="image" /> ';

        if ($uz == $data['bank_user']) {
            echo '<b><big><a href="../pages/anketa.php?uz=' . $data['bank_user'] . '&amp;' . SID . '"><span style="color:#ff0000">' . nickname($data['bank_user']) . '</span></a></big></b> (' . moneys($data['bank_sum']) . ')</div>';
        } else {
            echo '<b><a href="../pages/anketa.php?uz=' . $data['bank_user'] . '&amp;' . SID . '">' . nickname($data['bank_user']) . '</a></b> (' . moneys($data['bank_sum']) . ')</div>';
        } 

        echo '<div>Начислений: ' . $data['bank_oper'] . '<br />';
        echo 'Посл. операция: ' . date_fixed($data['bank_time']) . '</div>';
    } 

    page_jumpnavigation('livebank.php?', $config['vkladlist'], $start, $total);
    page_strnavigation('livebank.php?', $config['vkladlist'], $start, $total);
    # ###########################################################################################
    # #                                 Поиск пользователя                                     ##
    # ###########################################################################################
    if (empty($uz)) {
        echo '<div class="form">';
        echo '<b>Поиск пользователя:</b><br />';
        echo '<form action="livebank.php?start=' . $start . '&amp;' . SID . '" method="post">';
        echo '<input type="text" name="uz" value="' . $log . '" />';
        echo '<input type="submit" value="Искать" /></form></div><br />';
    } else {
        $querybank = DB :: $dbh -> querySingle("SELECT `bank_id` FROM `bank` WHERE `bank_user`=? LIMIT 1;", array($uz));
        if (!empty($querybank)) {
            $queryrating = DB :: $dbh -> query("SELECT `bank_user` FROM `bank` ORDER BY `bank_sum` DESC, `bank_user` ASC;");
            $ratusers = $queryrating -> fetchAll(PDO :: FETCH_COLUMN);

            foreach ($ratusers as $key => $ratval) {
                if ($uz == $ratval) {
                    $rat = $key + 1;
                } 
            } 

            if (!empty($rat)) {
                $page = floor(($rat - 1) / $config['vkladlist']) * $config['vkladlist'];

                if ($start != $page) {
                    header ("Location: livebank.php?start=$page&uz=$uz&" . SID);
                    exit;
                } 

                echo '<span style="color:#00ff00">Позиция в рейтинге:</span> <b>' . ($rat) . '</b><br /><br />';
            } else {
                show_error('Пользователь с данным логином не найден!');
            } 
        } else {
            show_error('Пользователь с данным логином не зарегистрирован!');
        } 

        echo '<a href="livebank.php?start=' . $start . '&amp;' . SID . '">Искать еще</a><br /><br />';
    } 

    echo 'Всего вкладчиков: <b>' . $total . '</b><br /><br />';
} else {
    show_error('Вкладов еще нет!');
} 

echo '<img src="../images/img/money.gif" alt="image" /> <a href="bank.php?' . SID . '">В банк</a><br />';
echo '<img src="../images/img/games.gif" alt="image" /> <a href="../pages/index.php?act=arkada&amp;' . SID . '">Развлечения</a><br />';
echo '<img src="../images/img/homepage.gif" alt="image" /> <a href="../index.php?' . SID . '">На главную</a>';

include_once ("../themes/" . $config['themes'] . "/foot.php");

?>